{% extends "layout/visualisation/cardBox/classement/classement.jinja" %}


{% block cardBoxTitle %}
Classement des régions pour l'année {{ currentYear }}
{% endblock %}


{% block cardBoxDescription %}
{% endblock %}


{% block cardBoxError %}
{% if tabRegionAnneeCourante.invalide != None %}
    {{ tabRegionAnneeCourante.invalide }}% des données sont non représentable !
{% endif %}
{% endblock %}


{% block cardBoxBody %}
{# Carte régional de la france pour du remplissage #}
<div class="col-4">
    <object id="carte-france-region-classement" class="carte" data="{{ url_for('static', filename='img/France-nouvelles-regions.svg') }}" type="image/svg+xml"></object>
</div>


{# Tableau des régions trié par ordre décroissant de la représentation dans le jeu de données pour l'année en cours #}
<div class="col-7 offset-1">
    {% set reg =  tabRegionAnneeCourante.data|groupby("pourcentage")|max %}
    <table class="table table-sm table-striped">
        <thead>
            <tr>
                <th>Classement</th>
                <th>Région</th>
                <th>Opérations</th>
                <th>Pourcentage</th>
            </tr>
        </thead>
        <tbody>
            {% for region in tabRegionAnneeCourante.data %}
            <tr>
                <th scope="row">{{ loop.index }}</th>
                <td>{{ region.nom }}</td>
                <td>{{ region.operations }}</td>
                <td>{{ region.pourcentage }}%</td>
                <td>
                    <div class="table-color-legend">
                        <div style="opacity:{{ (region.pourcentage * 100 / reg[0]) / 100 }}"></div>
                    </div>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}